E-MailRelay

Classes | Public Types | Public Member Functions | List of all members
GNet::MonitorImp Class Reference

A pimple-pattern implementation class for GNet::Monitor. More...

## Public Types
using | Signal = G::Slot::Signal< const std::string &, const std::string & >

## Public Member Functions
| MonitorImp (Monitor &monitor)
void | add (const Connection &, bool is_client)
void | remove (const Connection &, bool is_client) noexcept
void | add (const Listener &)
void | remove (const Listener &) noexcept
void | report (std::ostream &s, const std::string &px, const std::string &eol) const
void | report (G::StringArray &) const
void | emit (Signal &, const char *, const char *) noexcept
| MonitorImp (const MonitorImp &)=delete
| MonitorImp (MonitorImp &&)=delete
void | operator= (const MonitorImp &)=delete
void | operator= (MonitorImp &&)=delete

## Detailed Description

A pimple-pattern implementation class for GNet::Monitor.

Definition at line 33 of file gmonitor.cpp.

## Member Typedef Documentation

## ◆ Signal

using GNet::MonitorImp::Signal = G::Slot::Signal<const std::string&,const std::string&>

Definition at line 36 of file gmonitor.cpp.

## Constructor & Destructor Documentation

## ◆ MonitorImp()

GNet::MonitorImp::MonitorImp | ( | Monitor & | monitor | ) |
| explicit

Definition at line 175 of file gmonitor.cpp.

## Member Function Documentation

## ◆ add() [1/2]

void GNet::MonitorImp::add | ( | const Connection & | connection,
|  | bool | is_client
| ) |  |

Definition at line 183 of file gmonitor.cpp.

## ◆ add() [2/2]

void GNet::MonitorImp::add | ( | const Listener & | server | ) |

Definition at line 195 of file gmonitor.cpp.

## ◆ emit()

void GNet::MonitorImp::emit | ( | Signal & | s,
|  | const char * | a,
|  | const char * | b
| ) |  |
| noexcept

Definition at line 200 of file gmonitor.cpp.

## ◆ remove() [1/2]

void GNet::MonitorImp::remove | ( | const Connection & | connection,
|  | bool | is_client
| ) |  |
| noexcept

Definition at line 211 of file gmonitor.cpp.

## ◆ remove() [2/2]

void GNet::MonitorImp::remove | ( | const Listener & | server | ) |
| noexcept

Definition at line 223 of file gmonitor.cpp.

## ◆ report() [1/2]

void GNet::MonitorImp::report | ( | G::StringArray & | out | ) | const

Definition at line 266 of file gmonitor.cpp.

## ◆ report() [2/2]

void GNet::MonitorImp::report | ( | std::ostream & | s,
|  | const std::string & | px,
|  | const std::string & | eol
| ) |  | const

Definition at line 228 of file gmonitor.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gmonitor.cpp